Index: /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/HeuristicLab.Problems.Instances.DataAnalysis-3.3.csproj
===================================================================
--- /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/HeuristicLab.Problems.Instances.DataAnalysis-3.3.csproj	(revision 17640)
+++ /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/HeuristicLab.Problems.Instances.DataAnalysis-3.3.csproj	(revision 17641)
@@ -157,4 +157,5 @@
     <Compile Include="Regression\FeatureSelection\FeatureSelection.cs" />
     <Compile Include="Regression\FeatureSelection\FeatureSelectionInstanceProvider.cs" />
+    <Compile Include="Regression\Feynman\Feynman100.cs" />
     <Compile Include="Regression\Feynman\Feynman23.cs" />
     <Compile Include="Regression\Feynman\Feynman22.cs" />
@@ -229,4 +230,8 @@
     <Compile Include="Regression\Feynman\Feynman84.cs" />
     <Compile Include="Regression\Feynman\Feynman85.cs" />
+    <Compile Include="Regression\Feynman\Feynman86.cs" />
+    <Compile Include="Regression\Feynman\Feynman87.cs" />
+    <Compile Include="Regression\Feynman\Feynman88.cs" />
+    <Compile Include="Regression\Feynman\Feynman89.cs" />
     <Compile Include="Regression\Feynman\Feynman9.cs" />
     <Compile Include="Regression\Feynman\Feynman13.cs" />
@@ -236,4 +241,14 @@
     <Compile Include="Regression\Feynman\Feynman8.cs" />
     <Compile Include="Regression\Feynman\Feynman7.cs" />
+    <Compile Include="Regression\Feynman\Feynman90.cs" />
+    <Compile Include="Regression\Feynman\Feynman91.cs" />
+    <Compile Include="Regression\Feynman\Feynman92.cs" />
+    <Compile Include="Regression\Feynman\Feynman93.cs" />
+    <Compile Include="Regression\Feynman\Feynman94.cs" />
+    <Compile Include="Regression\Feynman\Feynman95.cs" />
+    <Compile Include="Regression\Feynman\Feynman96.cs" />
+    <Compile Include="Regression\Feynman\Feynman97.cs" />
+    <Compile Include="Regression\Feynman\Feynman98.cs" />
+    <Compile Include="Regression\Feynman\Feynman99.cs" />
     <Compile Include="Regression\Feynman\FeynmanDescriptor.cs" />
     <Compile Include="Regression\Feynman\FeynmanInstanceProvider.cs" />
Index: /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman100.cs
===================================================================
--- /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman100.cs	(revision 17641)
+++ /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman100.cs	(revision 17641)
@@ -0,0 +1,47 @@
+using System;
+using System.Collections.Generic;
+using System.Linq;
+using HeuristicLab.Random;
+
+namespace HeuristicLab.Problems.Instances.DataAnalysis {
+  public class Feynman100 : FeynmanDescriptor {
+    public override string Name { get { return "Feynman III.21.20 -rho_c_0*q*A_vec/m"; } }
+
+    protected override string TargetVariable { get { return "j"; } }
+    protected override string[] VariableNames { get { return new[] {"rho_c_0", "q", "A_vec", "m", "j"}; } }
+    protected override string[] AllowedInputVariables { get { return new[] {"rho_c_0", "q", "A_vec", "m"}; } }
+
+    public int Seed { get; private set; }
+
+    public Feynman100() : this((int) DateTime.Now.Ticks) { }
+
+    public Feynman100(int seed) {
+      Seed = seed;
+    }
+
+    protected override List<List<double>> GenerateValues() {
+      var rand = new MersenneTwister((uint) Seed);
+
+      var data    = new List<List<double>>();
+      var rho_c_0 = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+      var q       = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+      var A_vec   = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+      var m       = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+
+      var j = new List<double>();
+
+      data.Add(rho_c_0);
+      data.Add(q);
+      data.Add(A_vec);
+      data.Add(m);
+      data.Add(j);
+
+      for (var i = 0; i < rho_c_0.Count; i++) {
+        var res = -rho_c_0[i] * q[i] * A_vec[i] / m[i];
+        j.Add(res);
+      }
+
+      return data;
+    }
+  }
+}
Index: /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman86.cs
===================================================================
--- /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman86.cs	(revision 17641)
+++ /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman86.cs	(revision 17641)
@@ -0,0 +1,47 @@
+using System;
+using System.Collections.Generic;
+using System.Linq;
+using HeuristicLab.Random;
+
+namespace HeuristicLab.Problems.Instances.DataAnalysis {
+  public class Feynman86 : FeynmanDescriptor {
+    public override string Name { get { return "Feynman III.4.32 1/(exp((h/(2*pi))*omega/(kb*T))-1)"; } }
+
+    protected override string TargetVariable { get { return "n"; } }
+    protected override string[] VariableNames { get { return new[] {"h", "omega", "kb", "T", "n"}; } }
+    protected override string[] AllowedInputVariables { get { return new[] {"h", "omega", "kb", "T"}; } }
+
+    public int Seed { get; private set; }
+
+    public Feynman86() : this((int) DateTime.Now.Ticks) { }
+
+    public Feynman86(int seed) {
+      Seed = seed;
+    }
+
+    protected override List<List<double>> GenerateValues() {
+      var rand = new MersenneTwister((uint) Seed);
+
+      var data  = new List<List<double>>();
+      var h     = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+      var omega = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+      var kb    = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+      var T     = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+
+      var n = new List<double>();
+
+      data.Add(h);
+      data.Add(omega);
+      data.Add(kb);
+      data.Add(T);
+      data.Add(n);
+
+      for (var i = 0; i < h.Count; i++) {
+        var res = 1.0 / (Math.Exp((h[i] / (2 * Math.PI)) * omega[i] / (kb[i] * T[i])) - 1);
+        n.Add(res);
+      }
+
+      return data;
+    }
+  }
+}
Index: /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman87.cs
===================================================================
--- /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman87.cs	(revision 17641)
+++ /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman87.cs	(revision 17641)
@@ -0,0 +1,47 @@
+using System;
+using System.Collections.Generic;
+using System.Linq;
+using HeuristicLab.Random;
+
+namespace HeuristicLab.Problems.Instances.DataAnalysis {
+  public class Feynman87 : FeynmanDescriptor {
+    public override string Name { get { return "Feynman III.4.33 (h/(2*pi))*omega/(exp((h/(2*pi))*omega/(kb*T))-1)"; } }
+
+    protected override string TargetVariable { get { return "E_n"; } }
+    protected override string[] VariableNames { get { return new[] {"h", "omega", "kb", "T", "E_n"}; } }
+    protected override string[] AllowedInputVariables { get { return new[] {"h", "omega", "kb", "T"}; } }
+
+    public int Seed { get; private set; }
+
+    public Feynman87() : this((int) DateTime.Now.Ticks) { }
+
+    public Feynman87(int seed) {
+      Seed = seed;
+    }
+
+    protected override List<List<double>> GenerateValues() {
+      var rand = new MersenneTwister((uint) Seed);
+
+      var data  = new List<List<double>>();
+      var h     = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+      var omega = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+      var kb    = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+      var T     = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+
+      var E_n = new List<double>();
+
+      data.Add(h);
+      data.Add(omega);
+      data.Add(kb);
+      data.Add(T);
+      data.Add(E_n);
+
+      for (var i = 0; i < h.Count; i++) {
+        var res = h[i] / (2 * Math.PI) * omega[i] / (Math.Exp((h[i] / (2 * Math.PI)) * omega[i] / (kb[i] * T[i])) - 1);
+        E_n.Add(res);
+      }
+
+      return data;
+    }
+  }
+}
Index: /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman88.cs
===================================================================
--- /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman88.cs	(revision 17641)
+++ /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman88.cs	(revision 17641)
@@ -0,0 +1,45 @@
+using System;
+using System.Collections.Generic;
+using System.Linq;
+using HeuristicLab.Random;
+
+namespace HeuristicLab.Problems.Instances.DataAnalysis {
+  public class Feynman88 : FeynmanDescriptor {
+    public override string Name { get { return "Feynman III.7.38 2*mom*B/(h/(2*pi))"; } }
+
+    protected override string TargetVariable { get { return "omega"; } }
+    protected override string[] VariableNames { get { return new[] {"mom", "B", "h", "omega"}; } }
+    protected override string[] AllowedInputVariables { get { return new[] {"mom", "B", "h"}; } }
+
+    public int Seed { get; private set; }
+
+    public Feynman88() : this((int) DateTime.Now.Ticks) { }
+
+    public Feynman88(int seed) {
+      Seed = seed;
+    }
+
+    protected override List<List<double>> GenerateValues() {
+      var rand = new MersenneTwister((uint) Seed);
+
+      var data = new List<List<double>>();
+      var mom  = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+      var B    = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+      var h    = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+
+      var omega = new List<double>();
+
+      data.Add(mom);
+      data.Add(B);
+      data.Add(h);
+      data.Add(omega);
+
+      for (var i = 0; i < mom.Count; i++) {
+        var res = 2 * mom[i] * B[i] / (h[i] / (2 * Math.PI));
+        omega.Add(res);
+      }
+
+      return data;
+    }
+  }
+}
Index: /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman89.cs
===================================================================
--- /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman89.cs	(revision 17641)
+++ /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman89.cs	(revision 17641)
@@ -0,0 +1,45 @@
+using System;
+using System.Collections.Generic;
+using System.Linq;
+using HeuristicLab.Random;
+
+namespace HeuristicLab.Problems.Instances.DataAnalysis {
+  public class Feynman89 : FeynmanDescriptor {
+    public override string Name { get { return "Feynman III.8.54 sin(E_n*t/(h/(2*pi)))**2"; } }
+
+    protected override string TargetVariable { get { return "prob"; } }
+    protected override string[] VariableNames { get { return new[] {"E_n", "t", "h", "prob"}; } }
+    protected override string[] AllowedInputVariables { get { return new[] {"E_n", "t", "h"}; } }
+
+    public int Seed { get; private set; }
+
+    public Feynman89() : this((int) DateTime.Now.Ticks) { }
+
+    public Feynman89(int seed) {
+      Seed = seed;
+    }
+
+    protected override List<List<double>> GenerateValues() {
+      var rand = new MersenneTwister((uint) Seed);
+
+      var data = new List<List<double>>();
+      var E_n  = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 2).ToList();
+      var t    = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 2).ToList();
+      var h    = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 4).ToList();
+
+      var prob = new List<double>();
+
+      data.Add(E_n);
+      data.Add(t);
+      data.Add(h);
+      data.Add(prob);
+
+      for (var i = 0; i < E_n.Count; i++) {
+        var res = Math.Pow(Math.Sin(E_n[i] * t[i] / (h[i] / (2 * Math.PI))), 2);
+        prob.Add(res);
+      }
+
+      return data;
+    }
+  }
+}
Index: /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman90.cs
===================================================================
--- /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman90.cs	(revision 17641)
+++ /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman90.cs	(revision 17641)
@@ -0,0 +1,59 @@
+using System;
+using System.Collections.Generic;
+using System.Linq;
+using HeuristicLab.Random;
+
+namespace HeuristicLab.Problems.Instances.DataAnalysis {
+  public class Feynman90 : FeynmanDescriptor {
+    public override string Name {
+      get { return "Feynman III.9.52 (p_d*Ef*t/(h/(2*pi)))*sin((omega-omega_0)*t/2)**2/((omega-omega_0)*t/2)**2"; }
+    }
+
+    protected override string TargetVariable { get { return "prob"; } }
+
+    protected override string[] VariableNames {
+      get { return new[] {"p_d", "Ef", "t", "h", "omega", "omega_0", "prob"}; }
+    }
+
+    protected override string[] AllowedInputVariables {
+      get { return new[] {"p_d", "Ef", "t", "h", "omega", "omega_0"}; }
+    }
+
+    public int Seed { get; private set; }
+
+    public Feynman90() : this((int) DateTime.Now.Ticks) { }
+
+    public Feynman90(int seed) {
+      Seed = seed;
+    }
+
+    protected override List<List<double>> GenerateValues() {
+      var rand = new MersenneTwister((uint) Seed);
+
+      var data    = new List<List<double>>();
+      var p_d     = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 3).ToList();
+      var Ef      = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 3).ToList();
+      var t       = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 3).ToList();
+      var h       = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 3).ToList();
+      var omega   = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+      var omega_0 = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+
+      var prob = new List<double>();
+
+      data.Add(p_d);
+      data.Add(Ef);
+      data.Add(t);
+      data.Add(h);
+      data.Add(omega);
+      data.Add(omega_0);
+      data.Add(prob);
+
+      for (var i = 0; i < p_d.Count; i++) {
+        var res = p_d[i] * Ef[i] * t[i] / (h[i] / (2 * Math.PI)) * Math.Pow(Math.Sin((omega[i] - omega_0[i]) * t[i] / 2),2) / Math.Pow(((omega[i] - omega_0[i]) * t[i] / 2), 2);
+        prob.Add(res);
+      }
+
+      return data;
+    }
+  }
+}
Index: /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman91.cs
===================================================================
--- /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman91.cs	(revision 17641)
+++ /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman91.cs	(revision 17641)
@@ -0,0 +1,47 @@
+using System;
+using System.Collections.Generic;
+using System.Linq;
+using HeuristicLab.Random;
+
+namespace HeuristicLab.Problems.Instances.DataAnalysis {
+  public class Feynman91 : FeynmanDescriptor {
+    public override string Name { get { return "Feynman III.10.19 mom*sqrt(Bx**2+By**2+Bz**2)"; } }
+
+    protected override string TargetVariable { get { return "E_n"; } }
+    protected override string[] VariableNames { get { return new[] {"mom", "Bx", "By", "Bz", "E_n"}; } }
+    protected override string[] AllowedInputVariables { get { return new[] {"mom", "Bx", "By", "Bz"}; } }
+
+    public int Seed { get; private set; }
+
+    public Feynman91() : this((int) DateTime.Now.Ticks) { }
+
+    public Feynman91(int seed) {
+      Seed = seed;
+    }
+
+    protected override List<List<double>> GenerateValues() {
+      var rand = new MersenneTwister((uint) Seed);
+
+      var data = new List<List<double>>();
+      var mom  = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+      var Bx   = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+      var By   = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+      var Bz   = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+
+      var E_n = new List<double>();
+
+      data.Add(mom);
+      data.Add(Bx);
+      data.Add(By);
+      data.Add(Bz);
+      data.Add(E_n);
+
+      for (var i = 0; i < mom.Count; i++) {
+        var res = mom[i] * Math.Sqrt(Math.Pow(Bx[i], 2) + Math.Pow(By[i], 2) + Math.Pow(Bz[i], 2));
+        E_n.Add(res);
+      }
+
+      return data;
+    }
+  }
+}
Index: /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman92.cs
===================================================================
--- /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman92.cs	(revision 17641)
+++ /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman92.cs	(revision 17641)
@@ -0,0 +1,43 @@
+using System;
+using System.Collections.Generic;
+using System.Linq;
+using HeuristicLab.Random;
+
+namespace HeuristicLab.Problems.Instances.DataAnalysis {
+  public class Feynman92 : FeynmanDescriptor {
+    public override string Name { get { return "Feynman III.12.43 n*(h/(2*pi))"; } }
+
+    protected override string TargetVariable { get { return "L"; } }
+    protected override string[] VariableNames { get { return new[] {"n", "h", "L"}; } }
+    protected override string[] AllowedInputVariables { get { return new[] {"n", "h"}; } }
+
+    public int Seed { get; private set; }
+
+    public Feynman92() : this((int) DateTime.Now.Ticks) { }
+
+    public Feynman92(int seed) {
+      Seed = seed;
+    }
+
+    protected override List<List<double>> GenerateValues() {
+      var rand = new MersenneTwister((uint) Seed);
+
+      var data = new List<List<double>>();
+      var n    = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+      var h    = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+
+      var L = new List<double>();
+
+      data.Add(n);
+      data.Add(h);
+      data.Add(L);
+
+      for (var i = 0; i < n.Count; i++) {
+        var res = n[i] * (h[i] / (2 * Math.PI));
+        L.Add(res);
+      }
+
+      return data;
+    }
+  }
+}
Index: /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman93.cs
===================================================================
--- /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman93.cs	(revision 17641)
+++ /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman93.cs	(revision 17641)
@@ -0,0 +1,47 @@
+using System;
+using System.Collections.Generic;
+using System.Linq;
+using HeuristicLab.Random;
+
+namespace HeuristicLab.Problems.Instances.DataAnalysis {
+  public class Feynman93 : FeynmanDescriptor {
+    public override string Name { get { return "Feynman III.13.18 2*E_n*d**2*k/(h/(2*pi))"; } }
+
+    protected override string TargetVariable { get { return "v"; } }
+    protected override string[] VariableNames { get { return new[] {"E_n", "d", "k", "h", "v"}; } }
+    protected override string[] AllowedInputVariables { get { return new[] {"E_n", "d", "k", "h"}; } }
+
+    public int Seed { get; private set; }
+
+    public Feynman93() : this((int) DateTime.Now.Ticks) { }
+
+    public Feynman93(int seed) {
+      Seed = seed;
+    }
+
+    protected override List<List<double>> GenerateValues() {
+      var rand = new MersenneTwister((uint) Seed);
+
+      var data = new List<List<double>>();
+      var E_n  = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+      var d    = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+      var k    = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+      var h    = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+
+      var v = new List<double>();
+
+      data.Add(E_n);
+      data.Add(d);
+      data.Add(k);
+      data.Add(h);
+      data.Add(v);
+
+      for (var i = 0; i < E_n.Count; i++) {
+        var res = 2 * E_n[i] * Math.Pow(d[i], 2) * k[i] / (h[i] / (2 * Math.PI));
+        v.Add(res);
+      }
+
+      return data;
+    }
+  }
+}
Index: /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman94.cs
===================================================================
--- /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman94.cs	(revision 17641)
+++ /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman94.cs	(revision 17641)
@@ -0,0 +1,49 @@
+using System;
+using System.Collections.Generic;
+using System.Linq;
+using HeuristicLab.Random;
+
+namespace HeuristicLab.Problems.Instances.DataAnalysis {
+  public class Feynman94 : FeynmanDescriptor {
+    public override string Name { get { return "Feynman III.14.14 I_0*(exp(q*Volt/(kb*T))-1)"; } }
+
+    protected override string TargetVariable { get { return "I"; } }
+    protected override string[] VariableNames { get { return new[] {"I_0", "q", "Volt", "kb", "T", "I"}; } }
+    protected override string[] AllowedInputVariables { get { return new[] {"I_0", "q", "Volt", "kb", "T"}; } }
+
+    public int Seed { get; private set; }
+
+    public Feynman94() : this((int) DateTime.Now.Ticks) { }
+
+    public Feynman94(int seed) {
+      Seed = seed;
+    }
+
+    protected override List<List<double>> GenerateValues() {
+      var rand = new MersenneTwister((uint) Seed);
+
+      var data = new List<List<double>>();
+      var I_0  = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+      var q    = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 2).ToList();
+      var Volt = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 2).ToList();
+      var kb   = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 2).ToList();
+      var T    = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 2).ToList();
+
+      var I = new List<double>();
+
+      data.Add(I_0);
+      data.Add(q);
+      data.Add(Volt);
+      data.Add(kb);
+      data.Add(T);
+      data.Add(I);
+
+      for (var i = 0; i < I_0.Count; i++) {
+        var res = I_0[i] * (Math.Exp(q[i] * Volt[i] / (kb[i] * T[i])) - 1);
+        I.Add(res);
+      }
+
+      return data;
+    }
+  }
+}
Index: /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman95.cs
===================================================================
--- /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman95.cs	(revision 17641)
+++ /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman95.cs	(revision 17641)
@@ -0,0 +1,45 @@
+using System;
+using System.Collections.Generic;
+using System.Linq;
+using HeuristicLab.Random;
+
+namespace HeuristicLab.Problems.Instances.DataAnalysis {
+  public class Feynman95 : FeynmanDescriptor {
+    public override string Name { get { return "Feynman III.15.12 2*U*(1-cos(k*d))"; } }
+
+    protected override string TargetVariable { get { return "E_n"; } }
+    protected override string[] VariableNames { get { return new[] {"U", "k", "d", "E_n"}; } }
+    protected override string[] AllowedInputVariables { get { return new[] {"U", "k", "d"}; } }
+
+    public int Seed { get; private set; }
+
+    public Feynman95() : this((int) DateTime.Now.Ticks) { }
+
+    public Feynman95(int seed) {
+      Seed = seed;
+    }
+
+    protected override List<List<double>> GenerateValues() {
+      var rand = new MersenneTwister((uint) Seed);
+
+      var data = new List<List<double>>();
+      var U    = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+      var k    = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+      var d    = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+
+      var E_n = new List<double>();
+
+      data.Add(U);
+      data.Add(k);
+      data.Add(d);
+      data.Add(E_n);
+
+      for (var i = 0; i < U.Count; i++) {
+        var res = 2 * U[i] * (1 - Math.Cos(k[i] * d[i]));
+        E_n.Add(res);
+      }
+
+      return data;
+    }
+  }
+}
Index: /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman96.cs
===================================================================
--- /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman96.cs	(revision 17641)
+++ /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman96.cs	(revision 17641)
@@ -0,0 +1,45 @@
+using System;
+using System.Collections.Generic;
+using System.Linq;
+using HeuristicLab.Random;
+
+namespace HeuristicLab.Problems.Instances.DataAnalysis {
+  public class Feynman96 : FeynmanDescriptor {
+    public override string Name { get { return "Feynman III.15.14 (h/(2*pi))**2/(2*E_n*d**2)"; } }
+
+    protected override string TargetVariable { get { return "m"; } }
+    protected override string[] VariableNames { get { return new[] {"h", "E_n", "d", "m"}; } }
+    protected override string[] AllowedInputVariables { get { return new[] {"h", "E_n", "d"}; } }
+
+    public int Seed { get; private set; }
+
+    public Feynman96() : this((int) DateTime.Now.Ticks) { }
+
+    public Feynman96(int seed) {
+      Seed = seed;
+    }
+
+    protected override List<List<double>> GenerateValues() {
+      var rand = new MersenneTwister((uint) Seed);
+
+      var data = new List<List<double>>();
+      var h    = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+      var E_n  = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+      var d    = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+
+      var m = new List<double>();
+
+      data.Add(h);
+      data.Add(E_n);
+      data.Add(d);
+      data.Add(m);
+
+      for (var i = 0; i < h.Count; i++) {
+        var res = h[i] / Math.Pow((2 * Math.PI), 2) / (2 * E_n[i] * Math.Pow(d[i], 2));
+        m.Add(res);
+      }
+
+      return data;
+    }
+  }
+}
Index: /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman97.cs
===================================================================
--- /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman97.cs	(revision 17641)
+++ /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman97.cs	(revision 17641)
@@ -0,0 +1,45 @@
+using System;
+using System.Collections.Generic;
+using System.Linq;
+using HeuristicLab.Random;
+
+namespace HeuristicLab.Problems.Instances.DataAnalysis {
+  public class Feynman97 : FeynmanDescriptor {
+    public override string Name { get { return "Feynman III.15.27 2*pi*alpha/(n*d)"; } }
+
+    protected override string TargetVariable { get { return "k"; } }
+    protected override string[] VariableNames { get { return new[] {"alpha", "n", "d", "k"}; } }
+    protected override string[] AllowedInputVariables { get { return new[] {"alpha", "n", "d"}; } }
+
+    public int Seed { get; private set; }
+
+    public Feynman97() : this((int) DateTime.Now.Ticks) { }
+
+    public Feynman97(int seed) {
+      Seed = seed;
+    }
+
+    protected override List<List<double>> GenerateValues() {
+      var rand = new MersenneTwister((uint) Seed);
+
+      var data  = new List<List<double>>();
+      var alpha = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+      var n     = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+      var d     = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+
+      var k = new List<double>();
+
+      data.Add(alpha);
+      data.Add(n);
+      data.Add(d);
+      data.Add(k);
+
+      for (var i = 0; i < alpha.Count; i++) {
+        var res = 2 * Math.PI * alpha[i] / (n[i] * d[i]);
+        k.Add(res);
+      }
+
+      return data;
+    }
+  }
+}
Index: /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman98.cs
===================================================================
--- /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman98.cs	(revision 17641)
+++ /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman98.cs	(revision 17641)
@@ -0,0 +1,45 @@
+using System;
+using System.Collections.Generic;
+using System.Linq;
+using HeuristicLab.Random;
+
+namespace HeuristicLab.Problems.Instances.DataAnalysis {
+  public class Feynman98 : FeynmanDescriptor {
+    public override string Name { get { return "Feynman III.17.37 beta*(1+alpha*cos(theta))"; } }
+
+    protected override string TargetVariable { get { return "f"; } }
+    protected override string[] VariableNames { get { return new[] {"beta", "alpha", "theta", "f"}; } }
+    protected override string[] AllowedInputVariables { get { return new[] {"beta", "alpha", "theta"}; } }
+
+    public int Seed { get; private set; }
+
+    public Feynman98() : this((int) DateTime.Now.Ticks) { }
+
+    public Feynman98(int seed) {
+      Seed = seed;
+    }
+
+    protected override List<List<double>> GenerateValues() {
+      var rand = new MersenneTwister((uint) Seed);
+
+      var data  = new List<List<double>>();
+      var beta  = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+      var alpha = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+      var theta = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+
+      var f = new List<double>();
+
+      data.Add(beta);
+      data.Add(alpha);
+      data.Add(theta);
+      data.Add(f);
+
+      for (var i = 0; i < beta.Count; i++) {
+        var res = beta[i] * (1 + alpha[i] * Math.Cos(theta[i]));
+        f.Add(res);
+      }
+
+      return data;
+    }
+  }
+}
Index: /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman99.cs
===================================================================
--- /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman99.cs	(revision 17641)
+++ /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman99.cs	(revision 17641)
@@ -0,0 +1,51 @@
+using System;
+using System.Collections.Generic;
+using System.Linq;
+using HeuristicLab.Random;
+
+namespace HeuristicLab.Problems.Instances.DataAnalysis {
+  public class Feynman99 : FeynmanDescriptor {
+    public override string Name {
+      get { return "Feynman III.19.51 -m*q**4/(2*(4*pi*epsilon)**2*(h/(2*pi))**2)*(1/n**2)"; }
+    }
+
+    protected override string TargetVariable { get { return "E_n"; } }
+    protected override string[] VariableNames { get { return new[] {"m", "q", "h", "n", "epsilon", "E_n"}; } }
+    protected override string[] AllowedInputVariables { get { return new[] {"m", "q", "h", "n", "epsilon"}; } }
+
+    public int Seed { get; private set; }
+
+    public Feynman99() : this((int) DateTime.Now.Ticks) { }
+
+    public Feynman99(int seed) {
+      Seed = seed;
+    }
+
+    protected override List<List<double>> GenerateValues() {
+      var rand = new MersenneTwister((uint) Seed);
+
+      var data    = new List<List<double>>();
+      var m       = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+      var q       = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+      var h       = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+      var n       = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+      var epsilon = ValueGenerator.GenerateUniformDistributedValues(rand.Next(), TestPartitionEnd, 1, 5).ToList();
+
+      var E_n = new List<double>();
+
+      data.Add(m);
+      data.Add(q);
+      data.Add(h);
+      data.Add(n);
+      data.Add(epsilon);
+      data.Add(E_n);
+
+      for (var i = 0; i < m.Count; i++) {
+        var res = -m[i] * Math.Pow(q[i], 4) / (2 * Math.Pow((4 * Math.PI * epsilon[i]), 2) * Math.Pow((h[i] / (2 * Math.PI)), 2) * (1.0 / Math.Pow(n[i], 2)));
+        E_n.Add(res);
+      }
+
+      return data;
+    }
+  }
+}
Index: /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/FeynmanInstanceProvider.cs
===================================================================
--- /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/FeynmanInstanceProvider.cs	(revision 17640)
+++ /branches/3075_aifeynman_instances/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/FeynmanInstanceProvider.cs	(revision 17641)
@@ -45,4 +45,92 @@
       descriptorList.Add(new Feynman12(rand.Next()));
       descriptorList.Add(new Feynman13(rand.Next()));
+      descriptorList.Add(new Feynman14(rand.Next()));
+      descriptorList.Add(new Feynman15(rand.Next()));
+      descriptorList.Add(new Feynman16(rand.Next()));
+      descriptorList.Add(new Feynman17(rand.Next()));
+      descriptorList.Add(new Feynman18(rand.Next()));
+      descriptorList.Add(new Feynman19(rand.Next()));
+      descriptorList.Add(new Feynman20(rand.Next()));
+      descriptorList.Add(new Feynman21(rand.Next()));
+      descriptorList.Add(new Feynman22(rand.Next()));
+      descriptorList.Add(new Feynman23(rand.Next()));
+      descriptorList.Add(new Feynman24(rand.Next()));
+      descriptorList.Add(new Feynman25(rand.Next()));
+      descriptorList.Add(new Feynman26(rand.Next()));
+      descriptorList.Add(new Feynman27(rand.Next()));
+      descriptorList.Add(new Feynman28(rand.Next()));
+      descriptorList.Add(new Feynman29(rand.Next()));
+      descriptorList.Add(new Feynman30(rand.Next()));
+      descriptorList.Add(new Feynman31(rand.Next()));
+      descriptorList.Add(new Feynman32(rand.Next()));
+      descriptorList.Add(new Feynman33(rand.Next()));
+      descriptorList.Add(new Feynman34(rand.Next()));
+      descriptorList.Add(new Feynman35(rand.Next()));
+      descriptorList.Add(new Feynman36(rand.Next()));
+      descriptorList.Add(new Feynman37(rand.Next()));
+      descriptorList.Add(new Feynman38(rand.Next()));
+      descriptorList.Add(new Feynman39(rand.Next()));
+      descriptorList.Add(new Feynman40(rand.Next()));
+      descriptorList.Add(new Feynman41(rand.Next()));
+      descriptorList.Add(new Feynman42(rand.Next()));
+      descriptorList.Add(new Feynman43(rand.Next()));
+      descriptorList.Add(new Feynman44(rand.Next()));
+      descriptorList.Add(new Feynman45(rand.Next()));
+      descriptorList.Add(new Feynman46(rand.Next()));
+      descriptorList.Add(new Feynman47(rand.Next()));
+      descriptorList.Add(new Feynman48(rand.Next()));
+      descriptorList.Add(new Feynman49(rand.Next()));
+      descriptorList.Add(new Feynman50(rand.Next()));
+      descriptorList.Add(new Feynman51(rand.Next()));
+      descriptorList.Add(new Feynman52(rand.Next()));
+      descriptorList.Add(new Feynman53(rand.Next()));
+      descriptorList.Add(new Feynman54(rand.Next()));
+      descriptorList.Add(new Feynman55(rand.Next()));
+      descriptorList.Add(new Feynman56(rand.Next()));
+      descriptorList.Add(new Feynman57(rand.Next()));
+      descriptorList.Add(new Feynman58(rand.Next()));
+      descriptorList.Add(new Feynman59(rand.Next()));
+      descriptorList.Add(new Feynman60(rand.Next()));
+      descriptorList.Add(new Feynman61(rand.Next()));
+      descriptorList.Add(new Feynman62(rand.Next()));
+      descriptorList.Add(new Feynman63(rand.Next()));
+      descriptorList.Add(new Feynman64(rand.Next()));
+      descriptorList.Add(new Feynman65(rand.Next()));
+      descriptorList.Add(new Feynman66(rand.Next()));
+      descriptorList.Add(new Feynman67(rand.Next()));
+      descriptorList.Add(new Feynman68(rand.Next()));
+      descriptorList.Add(new Feynman69(rand.Next()));
+      descriptorList.Add(new Feynman70(rand.Next()));
+      descriptorList.Add(new Feynman71(rand.Next()));
+      descriptorList.Add(new Feynman72(rand.Next()));
+      descriptorList.Add(new Feynman73(rand.Next()));
+      descriptorList.Add(new Feynman74(rand.Next()));
+      descriptorList.Add(new Feynman75(rand.Next()));
+      descriptorList.Add(new Feynman76(rand.Next()));
+      descriptorList.Add(new Feynman77(rand.Next()));
+      descriptorList.Add(new Feynman78(rand.Next()));
+      descriptorList.Add(new Feynman79(rand.Next()));
+      descriptorList.Add(new Feynman80(rand.Next()));
+      descriptorList.Add(new Feynman81(rand.Next()));
+      descriptorList.Add(new Feynman82(rand.Next()));
+      descriptorList.Add(new Feynman83(rand.Next()));
+      descriptorList.Add(new Feynman84(rand.Next()));
+      descriptorList.Add(new Feynman85(rand.Next()));
+      descriptorList.Add(new Feynman86(rand.Next()));
+      descriptorList.Add(new Feynman87(rand.Next()));
+      descriptorList.Add(new Feynman88(rand.Next()));
+      descriptorList.Add(new Feynman89(rand.Next()));
+      descriptorList.Add(new Feynman90(rand.Next()));
+      descriptorList.Add(new Feynman91(rand.Next()));
+      descriptorList.Add(new Feynman92(rand.Next()));
+      descriptorList.Add(new Feynman93(rand.Next()));
+      descriptorList.Add(new Feynman94(rand.Next()));
+      descriptorList.Add(new Feynman95(rand.Next()));
+      descriptorList.Add(new Feynman96(rand.Next()));
+      descriptorList.Add(new Feynman97(rand.Next()));
+      descriptorList.Add(new Feynman98(rand.Next()));
+      descriptorList.Add(new Feynman99(rand.Next()));
+      descriptorList.Add(new Feynman100(rand.Next()));
+
       return descriptorList;
     }
